## octave-octclip 1.0.8

=== src/Makefile ===
# -*- coding: utf-8 -*-
#Compiler
MKOCTFILE=mkoctfile
#Common warning flags for C and C++
FLAGSCOMW=-Wall -Wextra -Wshadow -Wcast-qual -Wcast-align -Wwrite-strings
#Common optimization flags for C and C++
FLAGSCOMO=-O2 -funroll-loops -fno-common -fshort-enums
#Flags for C
CFLAGS=-std=c99 -pedantic $(FLAGSCOMW) -Wconversion -Wmissing-prototypes
CFLAGS+=-Wstrict-prototypes -Wnested-externs $(FLAGSCOMO)
#Flags for C++
CXXFLAGS=$(FLAGSCOMW) $(FLAGSCOMO)
#Export flags for compilers and linker
export CFLAGS CXXFLAGS

.PHONY: all
all: compile

.PHONY: compile
compile:
	$(MKOCTFILE) -c -I. calctopo.c -o calctopo.o
	$(MKOCTFILE) -c -I. compilador.c -o compilador.o
	$(MKOCTFILE) -c -I. dpeucker.c -o dpeucker.o
	$(MKOCTFILE) -c -I. errores.c -o errores.o
	$(MKOCTFILE) -c -I. eucli.c -o eucli.o
	$(MKOCTFILE) -c -I. fgeneral.c -o fgeneral.o
	$(MKOCTFILE) -c -I. geocnan.c -o geocnan.o
	$(MKOCTFILE) -c -I. geocomp.c -o geocomp.o
	$(MKOCTFILE) -c -I. greiner.c -o greiner.o
	$(MKOCTFILE) -c -I. polig.c -o polig.o
	$(MKOCTFILE) -c -I. polil.c -o polil.o
	$(MKOCTFILE) -c -I. ptopol.c -o ptopol.o
	$(MKOCTFILE) -c -I. recpolil.c -o recpolil.o
	$(MKOCTFILE) -c -I. segmento.c -o segmento.o
	$(MKOCTFILE) -c -I. ventorno.c -o ventorno.o
	$(MKOCTFILE) -s -I. _oc_polybool.cc *.o

.PHONY: clean
clean:
	rm -rf *.o *~

.PHONY: cleanall
cleanall:
	rm -rf *~ *.o *.oct

=== debian/changelog ===
octave-octclip (1.0.8-1) unstable; urgency=low

  * Initial release (closes: #814773)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 31 Jul 2016 10:48:51 -0300

=== debian/control ===
Source: octave-octclip
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>> 1.3.2)
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/octclip/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-octclip.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-octclip.git

Package: octave-octclip
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: boolean operations with polygons in Octave
 The octclip package contain functions for performing boolean
 operations (intersection, union, difference, and exclusive or) between
 two polygons in Octave using the Greiner-Hormann algorithm.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

clean::
	make -C src cleanall

=== debian/watch ===
version=3
http://sf.net/octave/octclip-(.+)\.tar\.gz

## octave-octclip 2.0.1

=== DESCRIPTION ===
Name: OctCLIP
Version: 2.0.1
Date: 2020-05-16
Author: José Luis García Pallero <jgpallero@gmail.com>
Maintainer: José Luis García Pallero <jgpallero@gmail.com>
Title: GNU Octave clipping polygons tool
Description: This package allows to do boolean operations with polygons using
 the Greiner-Hormann algorithm.
Depends: Octave (>= 3.6.0)
Url: https://bitbucket.org/jgpallero/octclip
Autoload: no
License: GPLv3+, modified BSD

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 #Compiler
-MKOCTFILE=mkoctfile
+MKOCTFILE?=mkoctfile
 #Common warning flags for C and C++
 FLAGSCOMW=-Wall -Wextra -Wshadow -Wcast-qual -Wcast-align -Wwrite-strings
 #Common optimization flags for C and C++
@@ -20,12 +20,18 @@
 compile:
 	$(MKOCTFILE) -c -I. calctopo.c -o calctopo.o
 	$(MKOCTFILE) -c -I. compilador.c -o compilador.o
+	$(MKOCTFILE) -c -I. dpeuckera.c -o dpeuckera.o
+	$(MKOCTFILE) -c -I. dpeuckere.c -o dpeuckere.o
+	$(MKOCTFILE) -c -I. dpeuckerp.c -o dpeuckerp.o
 	$(MKOCTFILE) -c -I. dpeucker.c -o dpeucker.o
 	$(MKOCTFILE) -c -I. errores.c -o errores.o
 	$(MKOCTFILE) -c -I. eucli.c -o eucli.o
 	$(MKOCTFILE) -c -I. fgeneral.c -o fgeneral.o
 	$(MKOCTFILE) -c -I. geocnan.c -o geocnan.o
 	$(MKOCTFILE) -c -I. geocomp.c -o geocomp.o
+	$(MKOCTFILE) -c -I. -DCOLUMN_MAJOR_ORDER_MATVEC posmatvec.c -o posmatvec.o
+	$(MKOCTFILE) -c -I. -DCALCULO_PRODUCTO_MULT mate.c -o mate.o
+	$(MKOCTFILE) -c -I. arco.c -o arco.o
 	$(MKOCTFILE) -c -I. greiner.c -o greiner.o
 	$(MKOCTFILE) -c -I. polig.c -o polig.o
 	$(MKOCTFILE) -c -I. polil.c -o polil.o
@@ -33,6 +39,7 @@
 	$(MKOCTFILE) -c -I. recpolil.c -o recpolil.o
 	$(MKOCTFILE) -c -I. segmento.c -o segmento.o
 	$(MKOCTFILE) -c -I. ventorno.c -o ventorno.o
+	$(MKOCTFILE) -c -I. proyecaux.c -o proyecaux.o
 	$(MKOCTFILE) -s -I. _oc_polybool.cc *.o
 
 .PHONY: clean

=== debian/changelog ===
octave-octclip (2.0.1-2build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:33:24 +0000

octave-octclip (2.0.1-2) unstable; urgency=medium

  * d/rules: Use execute_before_dh_auto_clean instead of override_dh_auto_clean
  * d/copyright:
    + Accentuate my family name
    + Update copyright year for the debian/* files
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/u/metadata: Set Archive and Repository fields
  * d/p/honor-cflags-cxxflags.patch: New patch
  * d/p/format-security-error.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 Nov 2021 14:03:11 -0300

octave-octclip (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * d/copyright: Reflect upstream changes
  * d/p/compile-with-gcc-9.patch: Drop patch (fixed upstream)
  * d/p/do-not-strip-debugging-symbols.patch: Refresh for new upstream version
  * d/p/spelling-doc-oc-polybool.patch: New patch
  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 26 May 2020 05:46:48 -0300

octave-octclip (1.0.8-8) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 18:23:55 -0300

octave-octclip (1.0.8-7) unstable; urgency=medium

  * d/p/compile-with-gcc-9.patch: Refresh for compilation with gcc version < 9
    (Closes: #935584)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 24 Aug 2019 08:58:16 -0300

octave-octclip (1.0.8-6) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * d/p/compile-with-gcc-9.patch: New patch (Closes: #925791)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 21 Aug 2019 08:46:32 -0300

octave-octclip (1.0.8-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/p/do-not-strip-debugging-symbols.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:56 -0200

octave-octclip (1.0.8-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:36:23 -0200

octave-octclip (1.0.8-3) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:15 -0200

octave-octclip (1.0.8-2) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/control:
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Bump Standards-Version to 4.0.1 (no changes needed)

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 21 Aug 2017 17:49:51 -0300

=== debian/control ===
Source: octave-octclip
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.1)
Standards-Version: 4.6.0
Homepage: https://octave.sourceforge.io/octclip/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-octclip.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-octclip
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-octclip
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: boolean operations with polygons in Octave
 The octclip package contain functions for performing boolean
 operations (intersection, union, difference, and exclusive or) between
 two polygons in Octave using the Greiner-Hormann algorithm.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

execute_before_dh_auto_clean:
	make -C src cleanall

## octave-octclip 2.0.3

=== DESCRIPTION ===
Name: OctCLIP
Version: 2.0.3
Date: 2022-11-07
Author: José Luis García Pallero <jgpallero@gmail.com>
Maintainer: José Luis García Pallero <jgpallero@gmail.com>
Title: GNU Octave clipping polygons tool
Description: GNU Octave package to perform boolean operations between polygons
 using the Greiner-Hormann algorithm.
Depends: Octave (>= 3.6.0)
Url: https://bitbucket.org/jgpallero/octclip
Autoload: no
License: GPLv3+, modified BSD

=== src/Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 #Common optimization flags for C and C++
 FLAGSCOMO=-O2 -funroll-loops -fno-common -fshort-enums
 #Flags for C
-CFLAGS=-std=c99 -pedantic $(FLAGSCOMW) -Wconversion -Wmissing-prototypes
+CFLAGS+=-std=c99 -pedantic $(FLAGSCOMW) -Wconversion -Wmissing-prototypes
 CFLAGS+=-Wstrict-prototypes -Wnested-externs $(FLAGSCOMO)
 #Flags for C++
-CXXFLAGS=$(FLAGSCOMW) $(FLAGSCOMO)
+CXXFLAGS+=$(FLAGSCOMW) $(FLAGSCOMO)
 #Export flags for compilers and linker
 export CFLAGS CXXFLAGS

=== debian/changelog ===
octave-octclip (2.0.3-2) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata: Update Bug-Database URL
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Oct 2025 03:04:11 -0300

octave-octclip (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * d/copyright: Reflect upstream changes
  * Drop patches (applied upstream):
    + d/p/spelling-doc-oc-polybool.patch
    + d/p/honor-cflags-cxxflags.patch
    + d/p/format-security-error.patch
  * d/s/lintian-overrides: Add override for false positive on
    license-problem-gfdl-invariants
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Nov 2022 10:54:11 -0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.6.0
-Homepage: https://octave.sourceforge.io/octclip/
+               dh-sequence-octave
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/octclip/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-octclip.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-octclip
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-octclip
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_before_dh_auto_clean:
	make -C src cleanall

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/octclip/
Matching-Pattern: https://bitbucket.org/jgpallero/octclip/downloads/octclip-@ANY_VERSION@@ARCHIVE_EXT@
